<?php
include "scrinit.php";
include $menu;
require "dbconnect.php";
$dt=$_SESSION['dt'];
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Ανέβασμα Στήριξης</title>
</head>
<body>

<h1>Εισαγωγή Στοιχείων Προγράμματος</h1>
<form  method="post" enctype="multipart/form-data">
    Επιλέξτε το αρχείο CSV με τα στοιχεία του Προγράμματος:
    <input type="file" name="fileToUpload" id="fileToUpload">
	<br>
	<p> Οι στήλες στο αρχείο να έχουν την σειρά: </p>
	<p><b>Μητρώο,Μάθημα που βγαϊνει,Ημερα (Mon,Tue, Περίοδος, Μάθημα στήριξης</b></p>
    <br>
    <p>Κωδικοποίηση χαρακτήρων αρχείου (character encoding): <select name="charset">
       <option value="Windows-1253" selected>Windows-1253</option>
       <option value="ISO-8859-7">ISO-8859-7</option>
    </select>
    <p>Χαρακτήρας οριοθέτησης πεδίων (Delimiter): <select name="delim">
       <option value=";" selected>;</option>
       <option value=",">,</option>
    </select>
    <p><input type="submit" value="ΑΝΕΒΑΣΜΑ ΑΡΧΕΙΟΥ" name="submit">
</form>
<?php
if (isset($_POST['submit'])) {
    if (is_uploaded_file($_FILES['fileToUpload']['tmp_name'])) {
        echo "<h1>" . "File ". $_FILES['fileToUpload']['name'] ." uploaded successfully." . "</h1>";

	$fd=fopen($_FILES['fileToUpload']['tmp_name'],'r');
	$charset = $_POST['charset'];
	$delim = $_POST['delim'];
	$filex=$_FILES['fileToUpload'];
        echo "<h2>Charset:" . $charset . "</h2>";
        echo "<h2>Delimiter:" . $delim . "</h2>";
        echo "<h2>Displaying contents:</h2>";
        echo "<table>\n";
mysqli_query($con,'TRUNCATE TABLE stiriksi;');		
$i=1;
while(! feof($fd))
  {
	$list=fgetcsv($fd,0,$delim);
	/*for ($j=0;$j<4;$j++) {
		$list[$j] = $list[$j] == "" ? 'NULL' : iconv($charset,'UTF-8', $list[$j]);
	}*/
	$mitr=$list[0];
	$day=$list[2];
	$per=$list[3];
	/////////////////////////////
	$dayx=$day.$per;
	$sql = $dbcon->prepare("SELECT tmima FROM allstudentinfo WHERE mitroo = ? ");
	$sql->execute([$mitr]);
	$row=$sql->fetch(PDO::FETCH_ASSOC);
	$tm1=$row['tmima'];
	$sql = "SELECT ".$dayx." FROM timetable WHERE ".$dayx."='$tm1' ";
	$result = mysqli_query($con,$sql);
	$c=mysqli_num_rows($result);
	if ($c > 0 ) 
	{
		$row = mysqli_fetch_array($result);
		$les= $row["$dayx"];   
	}
	else
	{
	$sql = "SELECT synd,kathigitis  FROM syndidaskalies WHERE pmp='$mitr'";
    $result = mysqli_query($con,$sql);
	while ($row = mysqli_fetch_array($result)) 
    {
		$name=rtrim(ltrim($row['kathigitis']));
		$les1=$row['synd'];
		$res = mysqli_query($con,"SELECT ".$dayx." FROM timetable WHERE Teacher='$name' " ); 
		$row2 = mysqli_fetch_array($res);
		$les=$row2["$dayx"];
		$les=rtrim(ltrim($les));
		if ((rtrim(ltrim($les1))==$les) OR ($les==$tm1))
	    {
        	    break ;
	    }
	}
	}
	$list[1]=$les;
	$row=join('</td><td>',$list);
	$sql="INSERT INTO stiriksi(mitroo,lessonout,day,period,lessonin) VALUES ('$list[0]','$list[1]','$list[2]','$list[3]','$list[4]')";
	
	$sql   = str_replace("'NULL'", 'NULL', $sql);
	echo "<tr><td>" . $row . "</td>";
	if($i>0) {
		echo "<td>" . $sql . "</td>";
		if(mysqli_query($con,$sql)===TRUE) {
			echo "<td>OK</td>";
		} else {
			echo "<td>" . mysqli_error($con) . "</td>";
		}
	}
	echo "</tr>\n";
	$i++;
  }
        echo "</table>\n";

fclose($fd);

    } else {
        echo "ΔΕΝ ΕΓΙΝΕ Η ΦΟΡΤΩΣΗ ΤΟΥ ΑΡΧΕΙΟΥ.";
    }
}
?>
<br /><br />

<a  href=<?php echo $menu; ?>  style="color:blue "  > <button>  Επιστροφή στο Μενού  </a>
</body>
</html>
